BeanValidationOutInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.validation

## Class BeanValidationOutInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.validation.AbstractValidationInterceptor
    - - org.apache.cxf.validation.BeanValidationOutInterceptor

- All Implemented Interfaces:
    `AutoCloseable`, `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class BeanValidationOutInterceptor
      extends AbstractValidationInterceptor

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

      `BUNDLE, LOG`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanValidationOutInterceptor()` |
    `BeanValidationOutInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BeanValidationProvider` | `getOutProvider​(Message message)` |
    `protected void` | `handleValidation​(Message message, Object resourceInstance, Method method, List<Object> arguments)` |
    `boolean` | `isEnforceOnlyBeanConstraints()` |
    `void` | `setEnforceOnlyBeanConstraints​(boolean enforceOnlyBeanConstraints)` |
    `protected Object` | `unwrapEntity​(Object entity)` |

    - ### Methods inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

      `close, getProvider, getServiceMethod, getServiceObject, handleMessage, setProvider, setServiceObject`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidationOutInterceptor

          public BeanValidationOutInterceptor()

    - #### BeanValidationOutInterceptor

          public BeanValidationOutInterceptor​(String phase)

  - ### Method Detail

    - #### handleValidation

          protected void handleValidation​(Message message,
                                          Object resourceInstance,
                                          Method method,
                                          List<Object> arguments)

      Specified by:
        `handleValidation` in class `AbstractValidationInterceptor`

    - #### unwrapEntity

          protected Object unwrapEntity​(Object entity)

    - #### getOutProvider

          protected BeanValidationProvider getOutProvider​(Message message)

    - #### isEnforceOnlyBeanConstraints

          public boolean isEnforceOnlyBeanConstraints()

    - #### setEnforceOnlyBeanConstraints

          public void setEnforceOnlyBeanConstraints​(boolean enforceOnlyBeanConstraints)